*** Date.pm_ORIG	2008-02-26 15:16:05.000000000 -0700
--- Date.pm	2008-03-04 11:27:00.000000000 -0700
***************
*** 86,91 ****
--- 86,117 ----
  	$l = 7 if( defined $res && $res eq "month" );
  	$l = 4 if( defined $res && $res eq "year" );
  
+ 	# STIENEKE
+         # PURPOSE: If there's a month (or month-day) attached, I want to print it, 
+         # BUT if it's just a year there's no use, since that's always printed in a
+         # citation.
+ 	# $value, at least for publish dates, is YYYY-MM-DD, or YYYY-MM, or YYYY
+ 	# So, if there's nothing other than just the year, return a blank string 
+ 	# and move on. If there is something besided the year, it will pass over
+ 	# this section and move to the appropriate (long|short) rendering below
+ 	##if( defined $res && $res =~ /ifnotjustyear/ ) { 
+ 	if( $self->{render_notjustyear} ) { 
+ 		if ( length( $value )<=4 ) { # <=4 means it only has year
+ 			return $session->make_text( '' ) ;
+ 		} else { # more than just year, so we want to return a datestring...
+ 			my $frag = $session->make_doc_fragment();
+ 			( $self->{render_style} eq "short" )
+ 				? $frag->appendChild(EPrints::Time::render_short_date($session,substr($value,0,$l)))
+ 				: $frag->appendChild(EPrints::Time::render_date( $session, substr( $value,0,$l )))
+ 				;
+ 			for ( $self->{render_notjustyear} ) {
+ 				/period/ and $frag->appendChild($session->make_text('.')), last;
+ 				/comma/  and $frag->appendChild($session->make_text(',')), last;
+ 			}
+ 			return $frag;
+ 		}
+ 	}
+ 
  	if( $self->{render_style} eq "short" )
  	{
  		return EPrints::Time::render_short_date( $session, substr( $value,0,$l ) );
